Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class BroadcastPresenceRequest

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.BroadcastPresenceRequest

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class BroadcastPresenceRequest

extends MUCRoomTask

Task that broadcasts the presence of a room occupant to the occupants of the room being hosted by the cluster node. When a room occupant changes his presence an instance of this class will be sent to each cluster node and when executed a broadcast of the updated presence will be sent to local room occupants.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`BroadcastPresenceRequest()`
`BroadcastPresenceRequest(LocalMUCRoom room, org.xmpp.packet.Presence message, boolean isJoinPresence)`

Method Summary
`org.xmpp.packet.Presence` | `getPresence()`
`Object` | `getResult()`
`boolean` | `isJoinPresence()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BroadcastPresenceRequest

    public BroadcastPresenceRequest()

### BroadcastPresenceRequest

    public BroadcastPresenceRequest(LocalMUCRoom room,
                                    org.xmpp.packet.Presence message,
                                    boolean isJoinPresence)

Method Detail

### getPresence

    public org.xmpp.packet.Presence getPresence()

### isJoinPresence

    public boolean isJoinPresence()

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.